#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Crypt
%define		pnam	OpenSSL-Bignum
Summary:	Crypt::OpenSSL::Bignum - OpenSSL's multiprecision integer arithmetic
Summary(pl.UTF-8):	Crypt::OpenSSL::Bignum - arytmetyka liczb całkowitych dużej precyzji z OpenSSL
Name:		perl-Crypt-OpenSSL-Bignum
Version:	0.09
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c8ae05771c70c69b3e5647b29a885ed2
Patch0:		%{name}-mod_sqrt.patch
URL:		https://metacpan.org/dist/Crypt-OpenSSL-Bignum
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::Bignum provides access to OpenSSL multiprecision
integer arithmetic libraries. Presently, many though not all of the
arithmetic operations that OpenSSL provides are exposed to Perl. In
addition, this module can be used to provide access to bignum values
produced by other OpenSSL modules, such as key parameters from
Crypt::OpenSSL::RSA.

%description -l pl.UTF-8
Crypt::OpenSSL::Bignum daje dostęp do bibliotek arytmetyki
liczb całkowitych dużej precyzji z OpenSSL. Aktualnie wiele, ale nie
wszystkie, operacje arytmetyczne udostępniane przez OpenSSL są
dostępne z Perla. Ponadto ten moduł może być używany do udostępnienia
dużych wartości produkowanych przez inne moduły OpenSSL, takie jak
parametry klucza z Crypt::OpenSSL::RSA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/Bignum.pm
%{perl_vendorarch}/Crypt/OpenSSL/Bignum
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/Bignum/Bignum.so
%{_mandir}/man3/Crypt::OpenSSL::Bignum*.3pm*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-Bignum.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 41d4498
- perl 5.40.0 rebuild

* Mon Aug 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 47a1e5a
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> a939cc9
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 439fe2c
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 513b83c
- rebuild with perl 5.34.0

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 07d8b61
- rebuild with openssl 3.0.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> ba3e6cf
- updated URL

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8936027
- rebuild with perl 5.32

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 1c341a9
- macros for perl macros included

* Sat Apr 04 2020 Adam Osuchowski <adwol@pld-linux.org> 53288a4
- add mod_sqrt

* Sat Apr 04 2020 Adam Osuchowski <adwol@pld-linux.org> 96e64af
- up to 0.09

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3de25e4
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> bfae0b7
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 231acd4
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 6896550
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 20c892f
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cfa8626
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 92c7e0e
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Fri Apr 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 68ad202
- updated to 0.06

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d04c72d
- release 8 (by relup.sh)

